<p>
  It is the policy of OpenCraft to upstream changes wherever possible.
  Upstreaming means to contribute back code modifications to Open edX by opening
  pull requests on the edx/ repositories on GitHub.
</p>
<p>
  Getting a pull request merged can take significant time, especially if the
  change is large. It's okay to move a JIRA ticket into your External Review
  column while you are waiting. Be sure to check GitHub daily and respond to
  all comments on your PRs within 24 hours (except on weekends).
</p>
<p>
  Because it is a long process, open conversations with them early. You might
  believe you are writing a feature for the OpenCraft client, but you are
  equally writing it for the Open edX community. We try to seek buy-in from
  clients about the importance of this.
</p>
<p>
  Within your first weeks, you will begin reviewing other people's code: see the <span style="background-color: #fff5e5;"><a
    href="https://handbook.opencraft.com/en/latest/roles/#code-reviewer">code reviewer role</a>❗</span> for the list of
  expectations to follow during code reviews.  Do not allow <a
    href="https://handbook.opencraft.com/en/latest/glossary/#code-drift">code drift</a> (even if it is small one-liners)
  to go unmentioned. The success of OpenCraft relies on keeping the code we must
  maintain within the budget of what our clients can pay for.
</p>
